Subject: Re: bug#41130: outline-mode: Add new commands like org-cycle and org-global-cycle

From: Stefan Kangas <[email-masked]>
Date: Mon, 18 May 2020 20:00:36 -0700

Juri Linkov <[email-masked]> writes:

>> (define-key outline-minor-mode-map (kbd "C-<tab>") 'outline-cycle)
>> (define-key outline-minor-mode-map (kbd "S-<tab>") 'outline-global-cycle)
>>
>> They are already there in Org-mode and many users swear by them.
>> (In Org-mode, org-cycle is bound to TAB instead of C-TAB, but I don't
>> think that would work very well with outline-minor-mode.)
>
> C-TAB switches tabs in tab-bar-mode.

Sorry, it seems I wrote this bug report in a very confusing way.
Please let me try again.

One part would be to add:

    (define-key outline-mode-map (kbd "<tab>") 'outline-cycle)
    (define-key outline-mode-map (kbd "S-<tab>") 'outline-global-cycle)

I also think we should also consider:

    (define-key outline-minor-mode-map (kbd "C-<tab>") 'outline-cycle)
    (define-key outline-minor-mode-map (kbd "S-<tab>") 'outline-global-cycle)

If there is a conflict with tab-bar-mode on C-TAB, maybe we could use
M-TAB instead?

Best regards,
Stefan Kangas